Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.services.getById({
serviceId: 902529,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.services.get_by_id(service_id=902529)
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/services/{service_id} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/services/{service_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Weather tools",
"description": "Service containing tools for fetching weather information",
"last_updated": "2024-01-01T12:00:00Z",
"last_updated_by": "user@email.com",
"tools": [
"hangup",
"summary"
],
"auth_type": "basic",
"auth_value_keys": [
"username",
"password"
],
"last_updated_comments": "Updated description to correct typo"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}services
Get Service By Id
Get a service by its ID
GET
/
api
/
v1
/
services
/
{service_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.services.getById({
serviceId: 902529,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.services.get_by_id(service_id=902529)
# Handle response
print(res)Authorizations
Path Parameters
Response
Successful Response
Response model for service operations. A service is a collection of tools.
The internal ID of the service
Example:
1
The name of the service
Example:
"Weather tools"
The description of the service
Example:
"Service containing tools for fetching weather information"
The timestamp of the most recent update to the service
Example:
"2024-01-01T12:00:00Z"
The email of the user who last updated the service
Example:
"user@email.com"
Names of tools that belong to the service
Example:
["hangup", "summary"]
The type of authentication to use for the service's tools
Available options:
basic, bearer, custom_headers, oauth2 Example:
"basic"
Auth value keys (values omitted for security)
Example:
["username", "password"]
Free text providing comment about what was updated
Example:
"Updated description to correct typo"

